Virtual Classroom
System Requirements

We STRONGLY recommend that you pre-configure your computer and test your connectivity to our Elluminate Live servers in the location you will be using prior to the session. First, ensure that the computer you will use satisfies the minimum system requirements. Make sure you have your microphone, USB speakerphone or headset working properly with your computer to take full advantage of the audio capabilities during the session. This may be optional for some so please check with the organization or instructor moderating  the session you will attend. You must have are administrator rights to your computer so you can install the required software. If you are unsure, please contact your system administrator or technical coordinator. If you are having trouble connecting contact your system administrator for assistance. You may be experiencing a firewall or proxy issue. Your computers personal Firewall may need to be set to allow an Elluminate session (or be turned off). Elluminate version 9.6 is designed to support all functions within a session on the following systems:
 

Headset:

Microphone and speakers (headset with microphone) required

In order to maximize the enjoyment and utility of your distance learning experience, we require the use of a USB headset if you plan to access your online courses from a desktop personal computer.  Most laptop PCs come with integrated microphones and therefore do not require a headset.  However, for your comfort, you may still choose to invest in a headset for use with a laptop PC.  Logitech offers several affordable, dependable headsets as does the Microsoft corporation in addition to several smaller vendors.  These headsets are available for purchase through any electronics store.  These headsets come in a variety of styles and price ranges.  Please remember to balance price with utility according to your own comfort level.  There is no need to pay a premium price in order to get the maximum benefit from your online educational experience.
 

Windows:

  • Supported OS’s and recommended versions of Java
    • Windows XP (32 bit), Vista (32 or 64 bit) or Windows 7 (32 bit)
    • Pentium III 1 GHz processor
    • Sun Java 1.5.0_17 or Sun Java 1.6.0_12  and greater is what is recommended
  • Supported Browsers
    • Internet Explorer 7, Internet Explorer 8, or Firefox 3.5

Macintosh:

  • Supported OS’s and recommended versions of Java
    • Mac OS X 10.5 or Mac OS X 10.6
    • G4, G5 or Intel processor
    • Apple Java 1.5.0_16 (J2SE5 - 32 bit), Apple Java 1.6.0_07 (J2SE6 - 64 bit)
    • Click here for important information about the differences between these versions of Java and which one you should use.
  • Supported Browsers
    • Safari 4 , Firefox 3.5

Linux

  • Supported OS’s and recommended versions of Java
    • openSUSE 11 (64 bit) or  Ubuntu 8.10 (64 bit)
    • Pentium III 1 GHz processor
    • Sun Java 1.5.0_17 or Sun Java 1.6.0_12  and greater is what is recommended
  • Supported Browsers
    • Firefox 3.5

In addition, all clients require:

  • 256 MB of free RAM
  • 20 MB free disk space
  • 28.8 kbps Internet connection
  • Speaker and Microphone, headsets are preferred
The following Operating Systems are no longer supported by Elluminate and likely will not work with Elluminate Live! V9.6:
  • Windows 2000
  • Solaris 10 x86
The following Browsers are no longer supported by Elluminate and likely will not work with Elluminate Live! V9.6:
  • Safari 3 – Mac
  • Firefox 3.0 - Windows, Mac, Linux and Solaris
The following Operating Systems may work with Elluminate Live! V9.6; however have not been tested and therefore not supported by Elluminate.  Some functions may not operate expectedly:
  • Mac OS X 10.4
  • RedHat Enterprise Linux 5
  • Novell SUSE 10